#pragma once
#if defined(_WIN32) || defined(_WIN64)

#include "Participants/ParticipantUDP.h"

namespace RoboidControl {

class ParticipantUDP : public ParticipantUDPGeneric {
 public:
  void Setup(int localPort, const char* remoteIpAddress, int remotePort);
  void Receive();
  bool SendTo(ParticipantSocket* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);

 protected:
 #if defined(_WIN32) || defined(_WIN64)
  SOCKET sock;
  #endif
};

}  // namespace RoboidControl
#endif